import { http } from '@/api/service/request';
import type { BaseResult, ResultTable } from '@/api/service/types';

/** 债务回收管理表---获取债务回收管理表列表 */
export const fetchGetDebtCollectionManagementList = (data: any) => {
	return http.request<BaseResult<ResultTable>>('get', `debtCollectionManagement/getDebtCollectionManagementList/${data.currentPage}/${data.pageSize}`, {
		params: data,
	});
};

/** 债务回收管理表---添加债务回收管理表 */
export const fetchAddDebtCollectionManagement = (data: any) => {
	return http.request<BaseResult<object>>('post', 'debtCollectionManagement/addDebtCollectionManagement', { data });
};

/** 债务回收管理表---更新债务回收管理表 */
export const fetchUpdateDebtCollectionManagement = (data: any) => {
	return http.request<BaseResult<object>>('put', 'debtCollectionManagement/updateDebtCollectionManagement', { data });
};

/** 债务回收管理表---删除债务回收管理表 */
export const fetchDeleteDebtCollectionManagement = (data: any) => {
	return http.request<BaseResult<object>>('delete', 'debtCollectionManagement/deleteDebtCollectionManagement', { data });
};
